/* Type Definition */
typedef char           i8;
typedef unsigned char  u8;
typedef short          i16;
typedef unsigned short u16;
typedef unsigned long  u32;
typedef int            i32;


i32 displayLcm(bool mode);
i32 setPositionLcm(i32 row, i32 column);
i32 getPositionLcm(i32 *row, i32 *column);
i32 cursorLcm(bool mode);
i32 cursorActionLcm(i32 type);
i32 clrscrLcm(void);
i32 showLcm(i32 length, u8* info);
i32 getKeyLcm(void);


#define HOME 0x01
#define MOVERIGHT 0x02
#define MOVELEFT 0x03
#define MOVEBACK 0x04

#define UP 0x01
#define DOWN 0x02
#define RIGHT 0x03
#define LEFT  0x04
#define NONE
